# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'flood-cli/version'

Gem::Specification.new do |spec|
  spec.name          = 'flood-cli'
  spec.version       = Flood::Cli::VERSION
  spec.authors       = ['Tim Koopmans']
  spec.email         = ['tim.koops@gmail.com']
  spec.summary       = 'Flood IO CLI'
  spec.description   = 'This is the command line interface to Flood IO'
  spec.homepage      = 'https://flood.io'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'pry'

  spec.add_dependency 'rest-client'
  spec.add_dependency 'thor'
  spec.add_dependency 'awesome_print'
end
